Subject: Re: [Extra] Call for adoption and directly to WGLC - draft-brandt-imap-replace

From: Bron Gondwana <[email-masked]>
Date: Thu, 02 Aug 2018 20:46:07 -0400

I'm assuming the lack of discussion here is because everyone's already basically happy with this draft as is!  The two weeks is up, and I've adopted the document into the group and then directly to WGLC.

Stuart, if you could please upload a draft-ietf-extra-imap-replace-00.

Also idnits complained about the [UID] in the sample equivalent IMAP commands:

      1. APPEND
      2. [UID] STORE +FLAGS.SILENT \DELETED
      3. UID EXPUNGE

I would probably just take the brackets off the UID.  The "same effect" will still mean the same thing!

Cheers,

Bron.

On Fri, Jul 20, 2018, at 07:08, Bron Gondwana wrote:
> The draft is here:
> 
> https://datatracker.ietf.org/doc/draft-brandt-imap-replace/
> 
> There's already been a bunch of discussion on the list, and the document appears to be in good shape.  I'd like to kill two birds with one stone, so I'm asking if there are any objections to either of:
> 
> a) adopting this document into this working group
> b) taking version -02 to working group last call
> 
> I'll give two weeks for this.  If there are no objections given, I intend to adopt the document and then immediately make a working group last call, which will be an additional period of 3 weeks.
> 
> If you're happy to adopt, but think there's more discussion required - please do say, happy to do that too.
> 
> Kind regards,
> 
> Bron.
> 
> --
>   Bron Gondwana, CEO, FastMail Pty Ltd
>   [email-masked]
> 
> 

--
  Bron Gondwana, CEO, FastMail Pty Ltd
  [email-masked]

---

From: Alexey Melnikov <[email-masked]>
Date: Tue, 7 Aug 2018 11:21:16 +0100

On 03/08/2018 01:46, Bron Gondwana wrote:

> I'm assuming the lack of discussion here is because everyone's already 
> basically happy with this draft as is!  The two weeks is up, and I've 
> adopted the document into the group and then directly to WGLC.
>
On this one thing: I don't particularly care one way or another, but 
idnits complaining doesn't mean that this needs to be fixed. It is Ok 
just to state in the shepherding writeup (when it needs to be written) 
that some reported nits are not real problems.

>> There's already been a bunch of discussion on the list, and the 
>> document appears to be in good shape.  I'd like to kill two birds 
>> with one stone, so I'm asking if there are any objections to either of:
>>
>> I'll give two weeks for this. If there are no objections given, I 
>> intend to adopt the document and then immediately make a working 
>> group last call, which will be an additional period of 3 weeks.
>>
> _______________________________________________
> Extra mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/extra

---

From: Bron Gondwana <[email-masked]>
Date: Tue, 07 Aug 2018 20:33:21 +1000

>> I'm assuming the lack of discussion here is because everyone's
>> already basically happy with this draft as is!  The two weeks is
>> up, and I've adopted the document into the group and then directly
>> to WGLC.>> 
>> Stuart, if you could please upload a draft-ietf-extra-imap-replace-
>> 00.>> 
>> Also idnits complained about the [UID] in the sample equivalent IMAP
>> commands:>>
>>       1. APPEND 2. [UID] STORE +FLAGS.SILENT \DELETED 3. UID EXPUNGE
>>>> 
>> I would probably just take the brackets off the UID.  The "same
>> effect" will still mean the same thing!> On this one thing: I don't particularly care one way or another, but
> that some reported nits are not real problems.> 

I already did an initial write-up that basically says that... :)

>>> with one stone, so I'm asking if there are any objections to
>>> either of:>>> 
>>> group last call, which will be an additional period of 3 weeks.>>> 
>>> If you're happy to adopt, but think there's more discussion required
>>> - please do say, happy to do that too.>>> 
>>> Kind regards,
>>> 
>>> Bron.
>>> 
>>> --
>> _______________________________________________ Extra mailing list
>> [email-masked] https://www.ietf.org/mailman/listinfo/extra
>>> 
> _________________________________________________
> Extra mailing list
> [email-masked]

---

From: Stuart Brandt <[email-masked]>
Date: Tue, 07 Aug 2018 22:44:59 -0400

Bron -

Sorry for the delay in responding.

I have an update to draft-brandt-imap-replace-03 that covers Chris 
Newman's July 2nd feedback about APPENDUID needing to be untagged based 
on the interaction with UIDPLUS as discussed in section 4.3.

Two quick questions first, though:
1) I would like to cover interaction between REPLACE and OBJECTID. 
Should I wait a bit longer on OBJECTID, or is now a good time to add 
something in REPLACE?
2) The section that idnits complained about matches a similar example in 
section 3.3 of RFC6851 (MOVE). Is this precedent enough to keep it in?

- Stuart

On 8/2/2018 8:46 PM, Bron Gondwana wrote:
> commands:
>> document appears to be in good shape.  I'd like to kill two birds with
>> one stone, so I'm asking if there are any objections to either of:
>>
>> intend to adopt the document and then immediately make a working group
>> last call, which will be an additional period of 3 weeks.
>>

---

From: Bron Gondwana <[email-masked]>
Date: Wed, 08 Aug 2018 00:08:18 -0400

> Should I wait a bit longer on OBJECTID, or is now a good time to add 

It's fine to add something to REPLACE now I'd say.  OBJECTID is pretty much ready, and it will be fine to update the shepherding writeup to say that REPLACE depends on OBJECTID so should be delayed behind it.

> section 3.3 of RFC6851 (MOVE). Is this precedent enough to keep it in?

Yep, that's fine too - especially considering Alexey's comment that idnits isn't the be all and end all of things!

Cheers,

Bron.